-- pop_vehicle.sql

CREATE OR REPLACE PROCEDURE populate_vehicle (
    vin vehicle.vehicle_id%TYPE,
    in_service vehicle.date_of_service%TYPE,
    car_info car_typ
)
IS
BEGIN
  INSERT INTO vehicle
    VALUES (vin, in_service, car_info);
END;
/
